Developer Portal
AnyRoad API
Authentication
Select Auth Type
No authentication selected
Experience
An experience represents a bookable activity or event that can be managed through the AnyRoad Platform. Experiences can be configured with various settings like visibility, capacity, and scheduling options.
Experience Operations
- get/external/api/v1/experiences/{experience_id}
- get/external/api/v1/experiences
Read Experience
Auth Required
Path Parameters
- experience_id (Type: string, required)
Responses
- 200
- Read response: application/json
- 400
- Client error: application/json
- 401
- Unauthorized: application/json
- 403
- Forbidden: application/json
- 404
- Not found: application/json
- 500
- Server error: application/json
Request Example for get/external/api/v1/experiences/{experience_id}
curl 'https://app.anyroad.com/external/api/v1/experiences/{experience_id}' \
--header 'X-API-KEY: YOUR_SECRET_TOKEN'
Read response schema
{
"title": "Wine Tasting Tour",
"subtitle": "Explore Napa Valley's finest wineries",
"description": "Join us for an exclusive wine tasting tour through Napa Valley's most prestigious wineries. Sample award-winning wines while learning about the winemaking process from expert sommeliers.",
"tags": [
"wine",
"tasting",
"tour",
"napa-valley"
],
"category": "Food & Drink",
"location": "123 Main St, Napa Valley, CA 94558",
"visibility": "standard",
"currency": "USD",
"from_price": 100,
"from_price_calculation": "lowest_ticket_price",
"id": "string",
"created": "2026-07-29T06:27:49.998Z",
"updated": "2026-07-29T06:27:49.998Z",
"url": "string",
"images": [
{
"url": "string",
"size": "string",
"caption": "string"
}
]
}
List Experiences
Auth Required
Query Parameters
- limit (Type: integer, Number of items to include per page for pagination)
- cursor (Type: string, The cursor to start retrieving items from)
- created (Timestamp when record was created.)
- Usage:
created=2022-02-26T23:59:00Zcreated[gte]=2022-02-26T23:59:00Z
- Usage:
- updated (Timestamp when record was updated.)
- Usage:
updated=2022-02-26T23:59:00Zupdated[gte]=2022-02-26T23:59:00Z
- Usage:
- visibility (Type: string enum, values: standard, selective, none, archived)
Responses
- 200
- List response: application/json
- 400
- Client error: application/json
- 401
- Unauthorized: application/json
- 403
- Forbidden: application/json
- 500
- Server error: application/json
Request Example for get/external/api/v1/experiences
curl https://app.anyroad.com/external/api/v1/experiences \
--header 'X-API-KEY: YOUR_SECRET_TOKEN'
List response schema
{
"url": "string",
"next_url": "string",
"previous_url": "string",
"first_url": "string",
"items": [
{
"title": "Wine Tasting Tour",
"subtitle": "Explore Napa Valley's finest wineries",
"description": "Join us for an exclusive wine tasting tour through Napa Valley's most prestigious wineries. Sample award-winning wines while learning about the winemaking process from expert sommeliers.",
"tags": [
"wine",
"tasting",
"tour",
"napa-valley"
],
"category": "Food & Drink",
"location": "123 Main St, Napa Valley, CA 94558",
"visibility": "standard",
"currency": "USD",
"from_price": 100,
"from_price_calculation": "lowest_ticket_price",
"id": "string",
"created": "2026-07-29T06:27:49.998Z",
"updated": "2026-07-29T06:27:49.998Z",
"url": "string",
"images": [
{
"url": "string",
"size": "string",
"caption": "string"
}
]
}
]
}
Ticket
A ticket represents a valid entry pass for an experience. Tickets can be verified and scanned to check in guests. Each ticket is associated with a specific booking and can be either for a guest or an addon.
Ticket Operations
- post/external/api/v1/tickets/scan
- post/external/api/v1/tickets/verify
Experience Time Slot
A time slot represents a specific date and time when an experience is available for booking. Each time slot has its own capacity and availability settings.
Experience Time Slot Operations
- get/external/api/v1/experiences/{experience_id}/time-slots
Booking
A booking represents a purchase or reservation of an experience by a guest. Each booking includes details about the experience, guest information, payment details, and associated add-ons. Bookings can be modified or cancelled by staff up to 7 days after the guest has attended their booked experience.
Booking Operations
- get/external/api/v2/bookings/{booking_id}
- get/external/api/v2/bookings
Guest
A guest represents a customer who has made a booking for an experience. Each guest record is unique for every booking made - for example, two bookings made by the same person would create two guest records. The data reflects information entered during checkout, including answers to questions and feedback surveys.
Guest Operations
- get/external/api/v2/guests/{guest_id}
- get/external/api/v2/guests